Natural Preference for Minification

    fbt-cra-typescript-installer

    0.0.8 • Public • Published

    FBT

    Requirements

    FBT API For React Deployed with CRA and Typescript

    This module will help you deploy the FBT API on top of a vanilla React App that was installed using "create-react-app" and typescript.

    For a full setup:

    Create a new React App using CRA:

    npx create-react-app my-fbt-app --template typescript

    cd my-fbt-app

    Install the fbt-cra-typescript-installer module:

    yarn add fbt-cra-typescript-installer

    Install fbt-cra-ts

    yarn run fbt-cra-ts-install

    Run the fbt scripts

    yarn all-fbts

    Start the application to make sure everything works:

    yarn start

    Something doesn't work?

    See if there's anything interesting in the log file fbt-cra-typescript-installer.log (only created if the script finds something unexpected).

    More documentations:

    Full documentation

    https://facebook.github.io/fbt

    Tips on how to use FBT's advanced features with TypeScript:

    https://dev.to/retyui/how-to-add-support-typescript-for-fbt-an-internationalization-framework-3lo0

    Step by step deployment of FBT with CRA and typescript:

    https://medium.com/@frenchyooy/configuring-fbt-api-with-typescript-and-react-create-app-492ee72f44bb

    FBT Components

    For FBT Parameters and Interpolation, use <FbtParam> or FbtParam( ... );

    For FBT Name, use <FbtName> or FbtName( ... );

    For FBT Same Parameter, use <FbtSameParam> or FbtSameParam( ... );

    For FBT Enumerations, use <FbtEnum> or FbtEnum( ... );

    As of July 20, 2020, FBTPlural and FBTPronoun are not functional

    Install

    npm i fbt-cra-typescript-installer

    DownloadsWeekly Downloads

    2

    Version

    0.0.8

    License

    MIT

    Unpacked Size

    40.9 kB

    Total Files

    19

    Last publish

    Collaborators

    • yrichard